.. highlight:: c++

Containers
==========

This section describes all the containers provided by the library.
Check the :ref:`design` section for a general discussion of these
containers and how to use them.

box
---

.. doxygenclass:: immer::box
    :members:
    :undoc-members:

array
-----

.. doxygenclass:: immer::array
    :members:
    :undoc-members:

vector
------

.. doxygenclass:: immer::vector
    :members:
    :undoc-members:

flex_vector
-----------

.. doxygenclass:: immer::flex_vector
    :members:
    :undoc-members:

set
---

.. doxygenclass:: immer::set
    :members:
    :undoc-members:

map
---

.. doxygenclass:: immer::map
    :members:
    :undoc-members:
